GET
examentries API
Retrieve and manage examentries records from the Apps4Edu sync database.
Endpoint Path
GET
/api/examentries
CURL Example
curl "https://api.apps4education.co.uk/api/examentries?api_token=YOUR_TOKEN" \
-H "Accept: application/json"
Field Definitions
| Field | Type |
|---|---|
rowHash
|
char |
candidateEntryID
|
int |
candidateID
|
int |
examOptionID
|
int |
entryModeName
|
varchar |
submissionFlag
|
varchar |
submissionFlagID
|
int |
entryModeModifiedDate
|
datetime |
componentID
|
int |
created_at
|
timestamp |
updated_at
|
timestamp |
school_id
|
bigint |
Response Body (Sample)
{ "data": [ { "rowHash": "example_value", "candidateEntryID": 101, "candidateID": 101, "examOptionID": 101, "entryModeName": "example_value", "submissionFlag": true, "submissionFlagID": 101, "entryModeModifiedDate": "example_value", "componentID": 101, "created_at": "example_value", "updated_at": "example_value", "school_id": "example_value" } ] }
Query Parameters
api_token
Required. Your unique API key must be passed as a query string parameter.
school
Optional. A Bromcom school ID to restrict rows to one school.
page
Optional. Defaults to 1. Used to navigate through paginated results.
per_page
Optional. Rows per page, up to 500 (the default). Follow next_page_url for the rest.